#								WB Norton
#								05/13/91
#
#
#	Makefile for Problem Manager Piece of Internet Rover
#
CFLAGS=-g

.c.o:
	echo 'static char *Version="'$* ${PINGKYVERSION}' compiled on '`hostname ` at `date`'";' >version.h ; \
	cc ${CFLAGS} -c $<

all:	
	make ProblemManager.o ProblemFileio.o

ProblemManager.o:	ProblemManager.c ../Ctools/ctools.h ../Ctools/ctools.o

ProblemFileio.o:	ProblemFileio.c ../Ctools/ctools.h ../Ctools/ctools.o

ProblemManager:	ProblemFileio.o ProblemManager.c ../Ctools/ctools.o
	cc -DSTANDALONE=1 -o ProblemManager ProblemManager.c ProblemFileio.o ../Ctools/ctools.o

clean:
	-rm *.o core ProblemManager ProblemFileio.o ProblemManager.o
